API ReferenceCarbon intensity
Forecast
get
/v4/carbon-intensity/forecastGet the carbon intensity forecast for a zone
Query Parameters
zone optional
An Electricity Maps zone key.
Example: "DK-DK2"
horizonHours optional
The number of hours ahead to forecast.
Default: 24
One of: 6, 24, 48, 72
temporalGranularity optional
The temporal granularity of the data to get.
Default: "hourly"
One of: "5_minutes", "15_minutes", "hourly"
lat optional
Latitude of the location to get the data for.
Example: 41.877
lon optional
Longitude of the location to get the data for.
Example: -88.0703
disableCallerLookup optional
If true, the fallback IP-based zone lookup will not be performed.
Default: false
Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/v4/carbon-intensity/forecast"{ "zone": "DK-DK2", "forecast": [ { "carbonIntensity": 101, "datetime": "2025-08-20T09:00:00.000Z" } ], "updatedAt": "2026-01-01T00:00:00.000Z"}Playground
get
/v4/carbon-intensity/forecastExplore the API with a 14-day trial.